function mini_create ()
  show_help_wnd=true;
  init_mini(1);
  create_mini(8128);
  -- create_mini(3,120,57,163,134,651,4,1);

end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

  if sender==8128 then
    mouseclick=true;
  return;end;
  if sender==8129 then
    mouseclick=false;
  return;end;  
  if sender==26 then
    if id==100 then
    set_visible_object(5001,true)
    end;
  return; end;
  if sender==30 then
      FreeCustomCursor(800);
    BlockCursor(false);
    setcurentleaf("gallery",6,0);
      flags.nohints=false;
    if flags.minicomplete28 then  
      CreateWindow(150,250,"203",60,nil,250,30);
            --playeffect("01");
      Set_Cursor(17,3);
      playeffect("29");
      StopEmiter("blok"); 
      DeleteElement("gr",16);
    return; end;
  return; end;  
  if sender==10 then
    flags.minicomplete28=true;
    StartTimer(2100,3)
    BlockCursor(true);
    --SetCustomCursor(3); 
  return; end;
  if sender==37 then
     skipping=true;
  return;end;  
  if sender==36 and id==2100 then
   clear_satelite_leaf("gallery");
  return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"2",100,"messageinfo",30,50)
      --playeffect("01");  
      help=true;
    end;
  return;end;
  
  if sender==35 then
      if id>=646 and id<=701 and mouseclick then
              playeffect("lastik");
      speciale_action(2,id);
      texture[id]=true;          
      err_count=1;
      StopOnMouseOver(id)
      for i=646,701,1 do
        if not texture[i] then
          err_count=err_count+1;
        end;          
      end;  
      if err_count<5 then
        finish_mini_game(true);
      return;end;
      return;end;  
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==6 then
    if helpbtn then
       CreateWindow(200,200,"2",100,"messageinfo",30,50)
           playeffect("11");  
      helpbtn=false;
    end;
    return;end
  
  if sender==1 then
    if id==6000 then
    helpbtn=true;
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete then
        finish_mini_game(true);
      return;end;  
    return;end;
    if id==645 then
        playeffect("17");  
      finish_mini_game(false);
      clear_satelite_leaf("gallery");
      FreeCustomCursor(800);
      DeleteResource("m28_close"       );
      DeleteResource("m28_fon"         );
      DeleteResource("m28_text"         );
      DeleteResource("BigTexture1"       );
      DeleteResource("wtr"         );
    return;end;
  return;end;
end;